Makefile.in 24 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740
  1. # Makefile.in generated by automake 1.9.6 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. srcdir = @srcdir@
  14. top_srcdir = @top_srcdir@
  15. VPATH = @srcdir@
  16. pkgdatadir = $(datadir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkgincludedir = $(includedir)/@PACKAGE@
  19. top_builddir = .
  20. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  21. INSTALL = @INSTALL@
  22. install_sh_DATA = $(install_sh) -c -m 644
  23. install_sh_PROGRAM = $(install_sh) -c
  24. install_sh_SCRIPT = $(install_sh) -c
  25. INSTALL_HEADER = $(INSTALL_DATA)
  26. transform = $(program_transform_name)
  27. NORMAL_INSTALL = :
  28. PRE_INSTALL = :
  29. POST_INSTALL = :
  30. NORMAL_UNINSTALL = :
  31. PRE_UNINSTALL = :
  32. POST_UNINSTALL = :
  33. EXTRA_PROGRAMS =
  34. sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
  35. subdir = .
  36. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  37. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  38. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  39. TODO acconfig.h install-sh missing mkinstalldirs
  40. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  41. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  42. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  43. $(ACLOCAL_M4)
  44. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  45. configure.lineno configure.status.lineno
  46. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  47. CONFIG_HEADER = config.h
  48. CONFIG_CLEAN_FILES =
  49. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
  50. "$(DESTDIR)$(man8dir)"
  51. sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
  52. PROGRAMS = $(sbin_PROGRAMS)
  53. am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
  54. bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
  55. bcrelay_LDADD = $(LDADD)
  56. am_pptpctrl_OBJECTS = pqueue.$(OBJEXT) pptpctrl.$(OBJEXT) \
  57. ctrlpacket.$(OBJEXT) inststr.$(OBJEXT) compat.$(OBJEXT) \
  58. pptpgre.$(OBJEXT) ppphdlc.$(OBJEXT)
  59. pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
  60. am__DEPENDENCIES_1 =
  61. pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
  62. am_pptpd_OBJECTS = pqueue.$(OBJEXT) pptpd.$(OBJEXT) \
  63. configfile.$(OBJEXT) pptpmanager.$(OBJEXT) compat.$(OBJEXT) \
  64. inststr.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
  65. pptpd_OBJECTS = $(am_pptpd_OBJECTS)
  66. pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
  67. DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
  68. depcomp =
  69. am__depfiles_maybe =
  70. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  71. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  72. CCLD = $(CC)
  73. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  74. SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  75. DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  76. man5dir = $(mandir)/man5
  77. man8dir = $(mandir)/man8
  78. NROFF = nroff
  79. MANS = $(man_MANS)
  80. ETAGS = etags
  81. CTAGS = ctags
  82. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  83. distdir = $(PACKAGE)-$(VERSION)
  84. top_distdir = $(distdir)
  85. am__remove_distdir = \
  86. { test ! -d $(distdir) \
  87. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  88. && rm -fr $(distdir); }; }
  89. DIST_ARCHIVES = $(distdir).tar.gz
  90. GZIP_ENV = --best
  91. distuninstallcheck_listfiles = find . -type f -print
  92. distcleancheck_listfiles = find . -type f -print
  93. ACLOCAL = @ACLOCAL@
  94. AMDEP_FALSE = @AMDEP_FALSE@
  95. AMDEP_TRUE = @AMDEP_TRUE@
  96. AMTAR = @AMTAR@
  97. AUTOCONF = @AUTOCONF@
  98. AUTOHEADER = @AUTOHEADER@
  99. AUTOMAKE = @AUTOMAKE@
  100. AWK = @AWK@
  101. CC = @CC@
  102. CCDEPMODE = @CCDEPMODE@
  103. CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"'
  104. CPP = @CPP@
  105. CPPFLAGS = @CPPFLAGS@
  106. CYGPATH_W = @CYGPATH_W@
  107. DEFS = @DEFS@
  108. DEPDIR = @DEPDIR@
  109. ECHO_C = @ECHO_C@
  110. ECHO_N = @ECHO_N@
  111. ECHO_T = @ECHO_T@
  112. EGREP = @EGREP@
  113. EXEEXT = @EXEEXT@
  114. GREP = @GREP@
  115. HAVE_OPENPTY = @HAVE_OPENPTY@
  116. INSTALL_DATA = @INSTALL_DATA@
  117. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  118. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  119. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  120. LDFLAGS = @LDFLAGS@
  121. LIBOBJS = @LIBOBJS@
  122. LIBS = @LIBS@
  123. LN_S = @LN_S@
  124. LTLIBOBJS = @LTLIBOBJS@
  125. MAKEINFO = @MAKEINFO@
  126. OBJEXT = @OBJEXT@
  127. PACKAGE = @PACKAGE@
  128. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  129. PACKAGE_NAME = @PACKAGE_NAME@
  130. PACKAGE_STRING = @PACKAGE_STRING@
  131. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  132. PACKAGE_VERSION = @PACKAGE_VERSION@
  133. PATH_SEPARATOR = @PATH_SEPARATOR@
  134. RANLIB = @RANLIB@
  135. SET_MAKE = @SET_MAKE@
  136. SHELL = @SHELL@
  137. STRIP = @STRIP@
  138. VERSION = @VERSION@
  139. XTRALIBS_CTRL = @XTRALIBS_CTRL@
  140. XTRALIBS_MGR = @XTRALIBS_MGR@
  141. XTRA_PROG = @XTRA_PROG@
  142. ac_ct_CC = @ac_ct_CC@
  143. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  144. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  145. am__include = @am__include@
  146. am__leading_dot = @am__leading_dot@
  147. am__quote = @am__quote@
  148. am__tar = @am__tar@
  149. am__untar = @am__untar@
  150. bindir = @bindir@
  151. build_alias = @build_alias@
  152. datadir = @datadir@
  153. datarootdir = @datarootdir@
  154. docdir = @docdir@
  155. dvidir = @dvidir@
  156. exec_prefix = @exec_prefix@
  157. host_alias = @host_alias@
  158. htmldir = @htmldir@
  159. includedir = @includedir@
  160. infodir = @infodir@
  161. install_sh = @install_sh@
  162. libdir = @libdir@
  163. libexecdir = @libexecdir@
  164. localedir = @localedir@
  165. localstatedir = @localstatedir@
  166. mandir = @mandir@
  167. mkdir_p = @mkdir_p@
  168. oldincludedir = @oldincludedir@
  169. pdfdir = @pdfdir@
  170. prefix = @prefix@
  171. program_transform_name = @program_transform_name@
  172. psdir = @psdir@
  173. sbindir = @sbindir@
  174. sharedstatedir = @sharedstatedir@
  175. sysconfdir = @sysconfdir@
  176. target_alias = @target_alias@
  177. # We have our own, simpler dependencies stuff in 'reconf'
  178. AUTOMAKE_OPTIONS = no-dependencies foreign
  179. INCLUDES = -I.
  180. #CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
  181. #CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
  182. man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5
  183. EXTRA_DIST = \
  184. html README* ChangeLog NEWS TODO $(man_MANS) \
  185. samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
  186. Makefile.uClinux config.embed.h version reconf \
  187. tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
  188. pptpd.init pptpd.spec makepackage \
  189. plugins/Makefile plugins/*.h plugins/*.c \
  190. debian/README.debian debian/changelog debian/conffiles debian/config \
  191. debian/control debian/copyright debian/dirs debian/docs \
  192. debian/examples debian/pptpd-options debian/pptpd.conf \
  193. debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
  194. debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
  195. debian/po/templates.pot
  196. # Header files are only used to determine what to put in a distribution, not
  197. # for dependencies, so just attribute them all to pptpd.
  198. pptpd_SOURCES = \
  199. pqueue.c pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
  200. pqueue.h compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
  201. our_syslog.h ppphdlc.h pptpctrl.h pptpdefs.h pptpgre.h pptpmanager.h
  202. pptpctrl_SOURCES = \
  203. pqueue.c pptpctrl.c ctrlpacket.c inststr.c compat.c pptpgre.c ppphdlc.c
  204. pptpd_LDADD = $(XTRALIBS_MGR)
  205. pptpctrl_LDADD = $(XTRALIBS_CTRL)
  206. bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
  207. subdirs = plugins
  208. all: config.h
  209. $(MAKE) $(AM_MAKEFLAGS) all-am
  210. .SUFFIXES:
  211. .SUFFIXES: .c .o .obj
  212. am--refresh:
  213. @:
  214. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  215. @for dep in $?; do \
  216. case '$(am__configure_deps)' in \
  217. *$$dep*) \
  218. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
  219. cd $(srcdir) && $(AUTOMAKE) --foreign \
  220. && exit 0; \
  221. exit 1;; \
  222. esac; \
  223. done; \
  224. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  225. cd $(top_srcdir) && \
  226. $(AUTOMAKE) --foreign Makefile
  227. .PRECIOUS: Makefile
  228. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  229. @case '$?' in \
  230. *config.status*) \
  231. echo ' $(SHELL) ./config.status'; \
  232. $(SHELL) ./config.status;; \
  233. *) \
  234. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  235. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  236. esac;
  237. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  238. $(SHELL) ./config.status --recheck
  239. $(top_srcdir)/configure: $(am__configure_deps)
  240. cd $(srcdir) && $(AUTOCONF)
  241. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  242. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  243. config.h: stamp-h1
  244. @if test ! -f $@; then \
  245. rm -f stamp-h1; \
  246. $(MAKE) stamp-h1; \
  247. else :; fi
  248. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  249. @rm -f stamp-h1
  250. cd $(top_builddir) && $(SHELL) ./config.status config.h
  251. $(srcdir)/config.h.in: $(am__configure_deps) $(top_srcdir)/acconfig.h
  252. cd $(top_srcdir) && $(AUTOHEADER)
  253. rm -f stamp-h1
  254. touch $@
  255. distclean-hdr:
  256. -rm -f config.h stamp-h1
  257. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  258. @$(NORMAL_INSTALL)
  259. test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
  260. @list='$(sbin_PROGRAMS)'; for p in $$list; do \
  261. p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
  262. if test -f $$p \
  263. ; then \
  264. f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
  265. echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
  266. $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
  267. else :; fi; \
  268. done
  269. uninstall-sbinPROGRAMS:
  270. @$(NORMAL_UNINSTALL)
  271. @list='$(sbin_PROGRAMS)'; for p in $$list; do \
  272. f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
  273. echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
  274. rm -f "$(DESTDIR)$(sbindir)/$$f"; \
  275. done
  276. clean-sbinPROGRAMS:
  277. -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  278. bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES)
  279. @rm -f bcrelay$(EXEEXT)
  280. $(LINK) $(bcrelay_LDFLAGS) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
  281. pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES)
  282. @rm -f pptpctrl$(EXEEXT)
  283. $(LINK) $(pptpctrl_LDFLAGS) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
  284. pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES)
  285. @rm -f pptpd$(EXEEXT)
  286. $(LINK) $(pptpd_LDFLAGS) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
  287. mostlyclean-compile:
  288. -rm -f *.$(OBJEXT)
  289. distclean-compile:
  290. -rm -f *.tab.c
  291. .c.o:
  292. $(COMPILE) -c $<
  293. .c.obj:
  294. $(COMPILE) -c `$(CYGPATH_W) '$<'`
  295. uninstall-info-am:
  296. install-man5: $(man5_MANS) $(man_MANS)
  297. @$(NORMAL_INSTALL)
  298. test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
  299. @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
  300. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  301. for i in $$l2; do \
  302. case "$$i" in \
  303. *.5*) list="$$list $$i" ;; \
  304. esac; \
  305. done; \
  306. for i in $$list; do \
  307. if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
  308. else file=$$i; fi; \
  309. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  310. case "$$ext" in \
  311. 5*) ;; \
  312. *) ext='5' ;; \
  313. esac; \
  314. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  315. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  316. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  317. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  318. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
  319. done
  320. uninstall-man5:
  321. @$(NORMAL_UNINSTALL)
  322. @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
  323. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  324. for i in $$l2; do \
  325. case "$$i" in \
  326. *.5*) list="$$list $$i" ;; \
  327. esac; \
  328. done; \
  329. for i in $$list; do \
  330. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  331. case "$$ext" in \
  332. 5*) ;; \
  333. *) ext='5' ;; \
  334. esac; \
  335. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  336. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  337. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  338. echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
  339. rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
  340. done
  341. install-man8: $(man8_MANS) $(man_MANS)
  342. @$(NORMAL_INSTALL)
  343. test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
  344. @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
  345. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  346. for i in $$l2; do \
  347. case "$$i" in \
  348. *.8*) list="$$list $$i" ;; \
  349. esac; \
  350. done; \
  351. for i in $$list; do \
  352. if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
  353. else file=$$i; fi; \
  354. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  355. case "$$ext" in \
  356. 8*) ;; \
  357. *) ext='8' ;; \
  358. esac; \
  359. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  360. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  361. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  362. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  363. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
  364. done
  365. uninstall-man8:
  366. @$(NORMAL_UNINSTALL)
  367. @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
  368. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  369. for i in $$l2; do \
  370. case "$$i" in \
  371. *.8*) list="$$list $$i" ;; \
  372. esac; \
  373. done; \
  374. for i in $$list; do \
  375. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  376. case "$$ext" in \
  377. 8*) ;; \
  378. *) ext='8' ;; \
  379. esac; \
  380. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  381. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  382. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  383. echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
  384. rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
  385. done
  386. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  387. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  388. unique=`for i in $$list; do \
  389. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  390. done | \
  391. $(AWK) ' { files[$$0] = 1; } \
  392. END { for (i in files) print i; }'`; \
  393. mkid -fID $$unique
  394. tags: TAGS
  395. TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  396. $(TAGS_FILES) $(LISP)
  397. tags=; \
  398. here=`pwd`; \
  399. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  400. unique=`for i in $$list; do \
  401. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  402. done | \
  403. $(AWK) ' { files[$$0] = 1; } \
  404. END { for (i in files) print i; }'`; \
  405. if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  406. test -n "$$unique" || unique=$$empty_fix; \
  407. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  408. $$tags $$unique; \
  409. fi
  410. ctags: CTAGS
  411. CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  412. $(TAGS_FILES) $(LISP)
  413. tags=; \
  414. here=`pwd`; \
  415. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  416. unique=`for i in $$list; do \
  417. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  418. done | \
  419. $(AWK) ' { files[$$0] = 1; } \
  420. END { for (i in files) print i; }'`; \
  421. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  422. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  423. $$tags $$unique
  424. GTAGS:
  425. here=`$(am__cd) $(top_builddir) && pwd` \
  426. && cd $(top_srcdir) \
  427. && gtags -i $(GTAGS_ARGS) $$here
  428. distclean-tags:
  429. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  430. distdir: $(DISTFILES)
  431. $(am__remove_distdir)
  432. mkdir $(distdir)
  433. $(mkdir_p) $(distdir)/debian $(distdir)/debian/po $(distdir)/plugins $(distdir)/samples $(distdir)/tools
  434. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  435. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  436. list='$(DISTFILES)'; for file in $$list; do \
  437. case $$file in \
  438. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  439. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  440. esac; \
  441. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  442. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  443. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  444. dir="/$$dir"; \
  445. $(mkdir_p) "$(distdir)$$dir"; \
  446. else \
  447. dir=''; \
  448. fi; \
  449. if test -d $$d/$$file; then \
  450. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  451. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  452. fi; \
  453. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  454. else \
  455. test -f $(distdir)/$$file \
  456. || cp -p $$d/$$file $(distdir)/$$file \
  457. || exit 1; \
  458. fi; \
  459. done
  460. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  461. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  462. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  463. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  464. || chmod -R a+r $(distdir)
  465. dist-gzip: distdir
  466. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  467. $(am__remove_distdir)
  468. dist-bzip2: distdir
  469. tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  470. $(am__remove_distdir)
  471. dist-tarZ: distdir
  472. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  473. $(am__remove_distdir)
  474. dist-shar: distdir
  475. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  476. $(am__remove_distdir)
  477. dist-zip: distdir
  478. -rm -f $(distdir).zip
  479. zip -rq $(distdir).zip $(distdir)
  480. $(am__remove_distdir)
  481. dist dist-all: distdir
  482. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  483. $(am__remove_distdir)
  484. # This target untars the dist file and tries a VPATH configuration. Then
  485. # it guarantees that the distribution is self-contained by making another
  486. # tarfile.
  487. distcheck: dist
  488. case '$(DIST_ARCHIVES)' in \
  489. *.tar.gz*) \
  490. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  491. *.tar.bz2*) \
  492. bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  493. *.tar.Z*) \
  494. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  495. *.shar.gz*) \
  496. GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  497. *.zip*) \
  498. unzip $(distdir).zip ;;\
  499. esac
  500. chmod -R a-w $(distdir); chmod a+w $(distdir)
  501. mkdir $(distdir)/_build
  502. mkdir $(distdir)/_inst
  503. chmod a-w $(distdir)
  504. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  505. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  506. && cd $(distdir)/_build \
  507. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  508. $(DISTCHECK_CONFIGURE_FLAGS) \
  509. && $(MAKE) $(AM_MAKEFLAGS) \
  510. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  511. && $(MAKE) $(AM_MAKEFLAGS) check \
  512. && $(MAKE) $(AM_MAKEFLAGS) install \
  513. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  514. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  515. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  516. distuninstallcheck \
  517. && chmod -R a-w "$$dc_install_base" \
  518. && ({ \
  519. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  520. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  521. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  522. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  523. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  524. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  525. && rm -rf "$$dc_destdir" \
  526. && $(MAKE) $(AM_MAKEFLAGS) dist \
  527. && rm -rf $(DIST_ARCHIVES) \
  528. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  529. $(am__remove_distdir)
  530. @(echo "$(distdir) archives ready for distribution: "; \
  531. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  532. sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
  533. distuninstallcheck:
  534. @cd $(distuninstallcheck_dir) \
  535. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  536. || { echo "ERROR: files left after uninstall:" ; \
  537. if test -n "$(DESTDIR)"; then \
  538. echo " (check DESTDIR support)"; \
  539. fi ; \
  540. $(distuninstallcheck_listfiles) ; \
  541. exit 1; } >&2
  542. distcleancheck: distclean
  543. @if test '$(srcdir)' = . ; then \
  544. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  545. exit 1 ; \
  546. fi
  547. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  548. || { echo "ERROR: files left in build directory after distclean:" ; \
  549. $(distcleancheck_listfiles) ; \
  550. exit 1; } >&2
  551. check-am: all-am
  552. check: check-am
  553. all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
  554. installdirs:
  555. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
  556. test -z "$$dir" || $(mkdir_p) "$$dir"; \
  557. done
  558. install: install-am
  559. install-exec: install-exec-am
  560. install-data: install-data-am
  561. uninstall: uninstall-am
  562. install-am: all-am
  563. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  564. installcheck: installcheck-am
  565. install-strip:
  566. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  567. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  568. `test -z '$(STRIP)' || \
  569. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  570. mostlyclean-generic:
  571. clean-generic:
  572. distclean-generic:
  573. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  574. maintainer-clean-generic:
  575. @echo "This command is intended for maintainers to use"
  576. @echo "it deletes files that may require special tools to rebuild."
  577. clean: clean-am
  578. clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
  579. distclean: distclean-am
  580. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  581. -rm -f Makefile
  582. distclean-am: clean-am distclean-compile distclean-generic \
  583. distclean-hdr distclean-tags
  584. dvi: dvi-am
  585. dvi-am:
  586. html: html-am
  587. info: info-am
  588. info-am:
  589. install-data-am: install-man
  590. install-exec-am: install-exec-local install-sbinPROGRAMS
  591. install-info: install-info-am
  592. install-man: install-man5 install-man8
  593. installcheck-am:
  594. maintainer-clean: maintainer-clean-am
  595. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  596. -rm -rf $(top_srcdir)/autom4te.cache
  597. -rm -f Makefile
  598. maintainer-clean-am: distclean-am maintainer-clean-generic
  599. mostlyclean: mostlyclean-am
  600. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  601. pdf: pdf-am
  602. pdf-am:
  603. ps: ps-am
  604. ps-am:
  605. uninstall-am: uninstall-info-am uninstall-local uninstall-man \
  606. uninstall-sbinPROGRAMS
  607. uninstall-man: uninstall-man5 uninstall-man8
  608. .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
  609. clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
  610. dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
  611. distcheck distclean distclean-compile distclean-generic \
  612. distclean-hdr distclean-tags distcleancheck distdir \
  613. distuninstallcheck dvi dvi-am html html-am info info-am \
  614. install install-am install-data install-data-am install-exec \
  615. install-exec-am install-exec-local install-info \
  616. install-info-am install-man install-man5 install-man8 \
  617. install-sbinPROGRAMS install-strip installcheck \
  618. installcheck-am installdirs maintainer-clean \
  619. maintainer-clean-generic mostlyclean mostlyclean-compile \
  620. mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
  621. uninstall-am uninstall-info-am uninstall-local uninstall-man \
  622. uninstall-man5 uninstall-man8 uninstall-sbinPROGRAMS
  623. @SET_MAKE@
  624. export LIBDIR=$(libdir)/pptpd
  625. all-local:
  626. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
  627. install-exec-local:
  628. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
  629. clean-local:
  630. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
  631. uninstall-local:
  632. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
  633. package: deb rpm
  634. deb:
  635. fakeroot dpkg-buildpackage -us -uc
  636. rpm:
  637. fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
  638. bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
  639. compat.o: compat.c config.h compat.h our_syslog.h inststr.h
  640. configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
  641. ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
  642. ctrlpacket.h compat.h
  643. getopt.o: getopt.c config.h our_getopt.h
  644. getopt1.o: getopt1.c config.h our_getopt.h
  645. inststr.o: inststr.c config.h inststr.h compat.h
  646. ppphdlc.o: ppphdlc.c config.h ppphdlc.h
  647. pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
  648. pptpgre.h pptpdefs.h ctrlpacket.h defaults.h
  649. pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
  650. defaults.h compat.h pptpmanager.h
  651. pptpgre.o: pptpgre.c config.h our_syslog.h ppphdlc.h pptpgre.h pptpdefs.h \
  652. pptpctrl.h defaults.h pqueue.h compat.h
  653. pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
  654. defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
  655. pqueue.o: pqueue.c pqueue.h
  656. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  657. # Otherwise a system limit (for SysV at least) may be exceeded.
  658. .NOEXPORT: